
#language: ru

@carc

Функционал: 014. CARC. Создание планов отгрузки

Сценарий: 014.1. CARC. Создание плана отгрузки

	Дано Я подключаюсь под "Создание планов отгрузки"
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'              |
		| 'Заказ Ашан(продажа тары)' |
	И я нажимаю на кнопку 'План отгрузки'
	Тогда открылось окно 'План отгрузки (создание)'
	И элемент формы "Склад" стал равен "Склад с ячейкой тары"
	И флаг "Требуется доставка" равен "Да"
	И из выпадающего списка "Статус" я выбираю точное значение 'В наборку'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.' | 'Характеристика'    | 'Серия'             | 'В ед. хранения' | 'Вес, кг' | 'Мест, м3' |
		| '10,000'     | 'Творожный сырок' | 'шт'  | '<не используются>' | '<не используются>' | '10,000, шт'     | '10'      | ''         |
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст 'План отгрузки для Ашан(продажа тары)'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План отгрузки * от *' в течение 20 секунд
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 014.2. CARC. Завершение

	И я закрываю сеанс TESTCLIENT